\begin{pspicture}(12,4)
\def\mylittlething{\psline(1.2,-0.2)(1,-0.2)(1,0.2)(1.2,0.2)
  \psline[linestyle=dotted](1.2,0.2)(1.5,0.2)
  \psline[linestyle=dotted](1.2,-0.2)(1.5,-0.2)
  %\psframe[linestyle=dotted](1,-0.2)(2.5,0.2)%
  \psline{->}(0.5,0)(1,0)}
\psset{linecolor=black}
%\psframe(0,0)(12,4)

\rput(1.8,2){
  \cnode(0,0){0.5}{ANOD}
  \cnode(3.5,0){0.5}{BNOD}
  
  \rput(0,0){\psframe(1,-0.2)(2.5,0.2)%
    \psline{->}(0.5,0)(1,0)%
    \psline{<-}(2.5,0)(3,0)}
  
  \rput{60}(0,0){\mylittlething}
  \rput{120}(0,0){\mylittlething}
  \rput{180}(0,0){\mylittlething}
  \rput{240}(0,0){\mylittlething}
  \rput{300}(0,0){\mylittlething}
  
  \rput{60}(3.5,0){\mylittlething}
  \rput{120}(3.5,0){\mylittlething}
  \rput(3.5,0){\mylittlething}
  \rput{240}(3.5,0){\mylittlething}
  \rput{300}(3.5,0){\mylittlething}
  \psline[linearc=1]{->}(5,1)(5.5,1.1)(6,1)
  \rput(0,0){\pscircle[fillstyle=none,linestyle=dotted]{1.75}}
  \rput(3.5,0){\pscircle[fillstyle=none,linestyle=dotted]{1.75}}
  
  \rput(7,0) {
    \psset{radius=0.2,linewidth=1.1pt}
    \pscircle[fillstyle=none,linestyle=dotted]{1}
    \rput(2,0){\pscircle[fillstyle=none,linestyle=dotted]{1}}
    \Cnode(0.25,0.5){A1}
    \Cnode(-0.5,0){B1}
    \Cnode(0.25,-0.5){C1}
    \Cnode(0.5,0){D1}
    \Cnode(-0.25,0.5){E1}
    \Cnode(-0.25,-0.5){F1}
    

    \Cnode(2.25,0.5){A2}
    \Cnode(1.5,0){B2}
    \Cnode(2.25,-0.5){C2}
    \Cnode(2.5,0){D2}
    \Cnode(1.75,0.5){E2}
    \Cnode(1.75,-0.5){F2}
    \psset{linewidth=0.5pt}
    \psframe[fillstyle=none,linestyle=dashed](0.15,0.25)(2.85,-0.25)
    \ncline{-}{A1}{B1}
    \ncline{-}{A1}{C1}
    \ncline{-}{A1}{D1}
    \ncline{-}{A1}{E1}
    \ncline{-}{A1}{F1}
    
    \ncline{-}{B1}{C1}
    \ncline{-}{B1}{D1}
    \ncline{-}{B1}{E1}
    \ncline{-}{B1}{F1}
    
    \ncline{-}{C1}{D1}
    \ncline{-}{C1}{E1}
    \ncline{-}{C1}{F1}
    
    \ncline{-}{D1}{E1}
    \ncline{-}{D1}{F1}
    \ncline{-}{E1}{F1}
    
    
    \ncline{-}{A2}{B2}
    \ncline{-}{A2}{C2}
    \ncline{-}{A2}{D2}
    \ncline{-}{A2}{E2}
    \ncline{-}{A2}{F2}
    
    \ncline{-}{B2}{C2}
    \ncline{-}{B2}{D2}
    \ncline{-}{B2}{E2}
    \ncline{-}{B2}{F2}
    
    \ncline{-}{C2}{D2}
    \ncline{-}{C2}{E2}
    \ncline{-}{C2}{F2}
    
    \ncline{-}{D2}{E2}
    \ncline{-}{D2}{F2}
    \ncline{-}{E2}{F2}
    
  }
}
\end{pspicture}